## ros-noetic-cob-phidget-power-state 0.7.14

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_phidget_power_state)

find_package(catkin REQUIRED COMPONENTS)

catkin_package()

catkin_install_python(PROGRAMS scripts/power_state_phidget.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}/src
)

=== debian/changelog ===
ros-noetic-cob-phidget-power-state (0.7.14-1buster) buster; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Wed, 16 Nov 2022 23:00:00 -0000

ros-noetic-cob-phidget-power-state (0.7.13-1buster) buster; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Thu, 28 Jul 2022 22:00:00 -0000

ros-noetic-cob-phidget-power-state (0.7.12-1buster) buster; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Mon, 14 Mar 2022 23:00:00 -0000

ros-noetic-cob-phidget-power-state (0.7.11-1buster) buster; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Tue, 11 Jan 2022 23:00:00 -0000

ros-noetic-cob-phidget-power-state (0.7.10-1buster) buster; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Wed, 22 Dec 2021 23:00:00 -0000

ros-noetic-cob-phidget-power-state (0.7.9-1buster) buster; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Thu, 25 Nov 2021 23:00:00 -0000

ros-noetic-cob-phidget-power-state (0.7.8-1buster) buster; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Mon, 18 Oct 2021 22:00:00 -0000

ros-noetic-cob-phidget-power-state (0.7.7-1buster) buster; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Sun, 01 Aug 2021 22:00:00 -0000

ros-noetic-cob-phidget-power-state (0.7.6-1buster) buster; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Sun, 09 May 2021 22:00:00 -0000

ros-noetic-cob-phidget-power-state (0.7.5-1buster) buster; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Mon, 05 Apr 2021 22:00:00 -0000

ros-noetic-cob-phidget-power-state (0.7.4-1buster) buster; urgency=high

  * Merge pull request #417 <https://github.com/ipa320/cob_driver/issues/417> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Tue, 13 Oct 2020 22:00:00 -0000

ros-noetic-cob-phidget-power-state (0.7.3-1buster) buster; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-noetic-cob-phidget-power-state (0.7.2-1buster) buster; urgency=high

  * Merge pull request #409 <https://github.com/ipa320/cob_driver/issues/409> from LoyVanBeek/feature/python3_compatibility
    [ci_updates] pylint + Python3 compatibility
  * fix pylint errors
  * Merge pull request #408 <https://github.com/ipa320/cob_driver/issues/408> from fmessmer/ci_updates
    [travis] ci updates
  * catkin_lint fixes
  * Contributors: Felix Messmer, fmessmer

 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-noetic-cob-phidget-power-state (0.7.1-1buster) buster; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Wed, 06 Nov 2019 23:00:00 -0000

ros-noetic-cob-phidget-power-state (0.7.0-1buster) buster; urgency=high

  * Merge pull request #396 <https://github.com/ipa320/cob_driver/issues/396> from HannesBachter/indigo_dev
    0.6.15
  * Contributors: Felix Messmer

 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Mon, 05 Aug 2019 22:00:00 -0000

ros-noetic-cob-phidget-power-state (0.6.15-1buster) buster; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Tue, 16 Jul 2019 22:00:00 -0000

ros-noetic-cob-phidget-power-state (0.6.14-1buster) buster; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Thu, 06 Jun 2019 22:00:00 -0000

ros-noetic-cob-phidget-power-state (0.6.13-1buster) buster; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Wed, 13 Mar 2019 23:00:00 -0000

ros-noetic-cob-phidget-power-state (0.6.12-1buster) buster; urgency=high

  * update maintainer
  * Contributors: fmessmer

 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-noetic-cob-phidget-power-state (0.6.11-1buster) buster; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #341 <https://github.com/ipa320/cob_driver/issues/341> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-noetic-cob-phidget-power-state (0.6.10-1buster) buster; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Sun, 23 Jul 2017 22:00:00 -0000

ros-noetic-cob-phidget-power-state (0.6.9-1buster) buster; urgency=high

  * shut down if the voltage divider factor is undefined
  * renamed max_voltage to more descriptive voltage_divider_factor
  * smooth calculated voltage from phidget board by adapting average over windows of measurements
  * Contributors: Benjamin Maidel, Jannik Abbenseth

 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-noetic-cob-phidget-power-state (0.6.8-1buster) buster; urgency=high

  * fix current sign
  * fix current sign
  * remove print
  * fix namespace and syntax for phidget power state
  * Merge branch 'indigo_dev' into feature/phidget_power_state_params
    Conflicts:
    cob_phidget_power_state/scripts/power_state_phidget.py
  * read power state params from param server
  * increase voltage limit for empty battery
  * cut percentage between 0 and 100
  * updates for changed hardware
  * fixed typo
  * remove find_package entries as this package only as python nodes
  * Update package.xml
  * updated license and version
  * move power_state_phidget node to new package
  * Contributors: Benjamin Maidel, Florian Weisshardt, msh

 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-noetic-cob-phidget-power-state (0.6.3-1buster) buster; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Tue, 16 Jun 2015 22:00:00 -0000



=== debian/control ===
Source: ros-noetic-cob-phidget-power-state
Section: misc
Priority: optional
Maintainer: Benjamin Maidel <benjamin.maidel@mojin-robotics.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-cob-phidget-power-state
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-cob-msgs, ros-noetic-cob-phidgets, ros-noetic-rospy
Description: The cob_phidget_power_state package publishes power state based on phidgets signals.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-cob-phidget-power-state//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
